package libreoffice

import (
	"os"
	"testing"

	"github.com/remogatto/prettytest"
)

type testSuite struct {
	prettytest.Suite
}

func TestRunner(t *testing.T) {
	prettytest.Run(
		t,
		new(testSuite),
	)
}

func (t *testSuite) TestConvert() {
	err := Convert("testdata/test.odt", "pdf", "--outdir", "testdata")
	t.Nil(err)
	_, err = os.Stat("testdata/test.pdf")
	t.Nil(err)
	err = os.Remove("testdata/test.pdf")
	t.Nil(err)

	err = Convert("testdata/test.csv", "ods", "--outdir", "testdata")
	t.Nil(err)
	_, err = os.Stat("testdata/test.ods")
	t.Nil(err)
	err = os.Remove("testdata/test.ods")
	t.Nil(err)
}
